<?xml version="1.0" encoding="utf-8"?>
<!-- XBRL Document Created with WizLabo Platform -->
<link:linkbase xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:link="http://www.xbrl.org/2003/linkbase">
  <link:roleRef xlink:type="simple" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpcrp/2024-11-01/jpcrp_rt_2024-11-01.xsd#rol_altLabel" roleURI="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label" />
  <link:roleRef xlink:type="simple" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpcrp/2024-11-01/jpcrp_rt_2024-11-01.xsd#rol_altTotalLabel" roleURI="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/totalLabel" />
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38427-000_AonoMasaakiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Aono, Masaaki</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38427-000_AonoMasaakiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Aono, Masaaki [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38427-000_CommissionsAndOutsourcingExpensesOperatingExpensesIFRS_label" xlink:role="http://www.xbrl.org/2003/role/label">Commissions and outsourcing expenses</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38427-000_CommissionsAndOutsourcingExpensesOperatingExpensesIFRS_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Commissions and outsourcing expenses-Operating expenses (IFRS)</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38427-000_CostOfManufacturingCostOfSalesToPrivateCustomersCOSIFRS_label" xlink:role="http://www.xbrl.org/2003/role/label">Cost of manufacturing</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38427-000_CostOfManufacturingCostOfSalesToPrivateCustomersCOSIFRS_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Cost of manufacturing, Cost of sales to private customers-COS (IFRS)</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38427-000_CostOfProductsCostOfSalesToPrivateCustomersCOSIFRS_label" xlink:role="http://www.xbrl.org/2003/role/label">Cost of products</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38427-000_CostOfProductsCostOfSalesToPrivateCustomersCOSIFRS_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Cost of products, Cost of sales to private customers-COS (IFRS)</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38427-000_CostOfSalesToPrivateCustomersIFRSAbstract_label" xlink:role="http://www.xbrl.org/2003/role/label">Cost of sales to private customers</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38427-000_CostOfSalesToPrivateCustomersIFRSAbstract_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Cost of sales to private customers (IFRS) [abstract]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38427-000_CotoseBusinessReportableSegmentMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Cotose business</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38427-000_CotoseBusinessReportableSegmentMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Cotose business, Reportable segment [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38427-000_HalmekBusinessReportableSegmentMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Halmek business</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38427-000_HalmekBusinessReportableSegmentMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Halmek business, Reportable segment [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38427-000_HayashiNampeiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Hayashi, Nampei</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38427-000_HayashiNampeiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Hayashi, Nampei [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38427-000_IncreaseDecreaseInAccountsPayableBonusesOpeCFIFRS_label" xlink:role="http://www.xbrl.org/2003/role/label">Increase (decrease) in accounts payable - bonuses</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38427-000_IncreaseDecreaseInAccountsPayableBonusesOpeCFIFRS_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Increase (decrease) in accounts payable - bonuses-OpeCF (IFRS)</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38427-000_IshiiFuminoriMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Ishii, Fuminori</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38427-000_IshiiFuminoriMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Ishii, Fuminori [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38427-000_LossOnDisposalOfPropertyPlantAndEquipmentAndIntangibleAssetsOpeCFIFRS_label" xlink:role="http://www.xbrl.org/2003/role/label">Loss on disposal of property, plant and equipment and intangible assets</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38427-000_LossOnDisposalOfPropertyPlantAndEquipmentAndIntangibleAssetsOpeCFIFRS_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Loss on disposal of property, plant and equipment and intangible assets-OpeCF (IFRS)</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38427-000_MiyazawaTakaoMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Miyazawa, Takao</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38427-000_MiyazawaTakaoMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Miyazawa, Takao [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38427-000_NakamuraDaiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Nakamura, Dai</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38427-000_NakamuraDaiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Nakamura, Dai [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38427-000_NotesAdditionalInformationConsolidatedFinancialStatementsIFRSHeading_label" xlink:role="http://www.xbrl.org/2003/role/label">Notes - Additional information</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38427-000_NotesAdditionalInformationConsolidatedFinancialStatementsIFRSHeading_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Notes - Additional information, Consolidated financial statements (IFRS) [heading]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38427-000_NotesAdditionalInformationConsolidatedFinancialStatementsIFRSTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Notes - Additional information</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38427-000_NotesAdditionalInformationConsolidatedFinancialStatementsIFRSTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Notes - Additional information, Consolidated financial statements (IFRS) [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38427-000_NotesChangesInAccountingPoliciesTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Notes - Changes in accounting policies</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38427-000_NotesChangesInAccountingPoliciesTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Notes - Changes in accounting policies [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38427-000_NotesRegardingOperatingExpensesTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Notes regarding operating expenses</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38427-000_NotesRegardingOperatingExpensesTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Notes regarding operating expenses [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38427-000_OmuraYukikoMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Omura, Yukiko</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38427-000_OmuraYukikoMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Omura, Yukiko [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38427-000_OverviewOfCompanyTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Overview of company</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38427-000_OverviewOfCompanyTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Overview of company [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38427-000_ShareBasedPaymentTransactionsSS_label" xlink:role="http://www.xbrl.org/2003/role/label">Share based payment transactions</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38427-000_ShareBasedPaymentTransactionsSS_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Share based payment transactions-SS</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38427-000_TakahashiShinjiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Takahashi, Shinji</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38427-000_TakahashiShinjiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Takahashi, Shinji [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38427-000_TotalCostOfSalesToBusinessCustomersCOSIFRS_label" xlink:role="http://www.xbrl.org/2003/role/label">Total cost of sales to business customers</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38427-000_TotalCostOfSalesToBusinessCustomersCOSIFRS_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Total cost of sales to business customers-COS (IFRS)</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38427-000_TotalCostOfSalesToPrivateCustomersCOSIFRS_label" xlink:role="http://www.xbrl.org/2003/role/label">Total cost of sales to private customers</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38427-000_TotalCostOfSalesToPrivateCustomersCOSIFRS_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Total cost of sales to private customers-COS (IFRS)</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38427-000_TotalNumberOfIssuedSharesClassAPreferredSharesKeyFinancialData_label" xlink:role="http://www.xbrl.org/2003/role/label">Total number of issued shares, Class A preferred shares</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38427-000_TotalNumberOfIssuedSharesClassAPreferredSharesKeyFinancialData_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Total number of issued shares, Class A preferred shares, Key financial data</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38427-000_TsuchiyaJunichiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Tsuchiya, Junichi</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38427-000_TsuchiyaJunichiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Tsuchiya, Junichi [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38427-000_YamaokaAsakoMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Yamaoka, Asako</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38427-000_YamaokaAsakoMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Yamaoka, Asako [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpigp_cor_BuildingsAndAccompanyingFacilitiesAccumulatedDepreciationAndImpairmentLossesIFRS_label" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label">Buildings and accompanying facilities</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpigp_cor_BuildingsAndAccompanyingFacilitiesAcquisitionCostIFRS_label" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label">Buildings and accompanying facilities</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpigp_cor_BuildingsAndAccompanyingFacilitiesIFRS_label" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label">Buildings and accompanying facilities</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpigp_cor_ComprehensiveIncomeAttributableToIFRSAbstract_label" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label">Comprehensive income attributable to</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpigp_cor_ComprehensiveIncomeIFRS_label" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/totalLabel">Total</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpigp_cor_EmployeeBenefitExpensesOperatingExpensesIFRS_label" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label">Employee benefit expenses</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpigp_cor_InterestExpensesIFRS_label" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/totalLabel">Total interest expenses</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpigp_cor_InterestIncomeIFRS_label" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/totalLabel">Total interest income</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpigp_cor_PackingAndTransportationExpensesIFRS_label" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label">Packing and transportation costs</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpigp_cor_RevenueIFRS_label" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/totalLabel">Total</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpigp_cor_SegmentProfitLossIFRS_label" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label">Segment profit (loss)</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpigp_cor_ShareBasedPaymentTransactionsSSIFRS_label" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label">Share-based payment transactions</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpigp_cor_SoftwareAccumulatedAmortizationAndImpairmentLossesIFRS_label" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label">Software</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpigp_cor_SoftwareAcquisitionCostIFRS_label" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label">Software</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpigp_cor_SoftwareIFRS_label" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label">Software</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpigp_cor_SoftwareInProgressAccumulatedImpairmentLossesIFRS_label" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label">Software in progress</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpigp_cor_SoftwareInProgressAcquisitionCostIFRS_label" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label">Software in progress</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpigp_cor_SoftwareInProgressIFRS_label" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label">Software in progress</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpigp_cor_TotalTransactionsWithOwnersIFRS_label" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Total transactions with owners</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpigp_cor_TransactionsWithOwnersIFRSAbstract_label" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label">Transactions with owners</link:label>
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_BuildingsAndAccompanyingFacilitiesAccumulatedDepreciationAndImpairmentLossesIFRS" xlink:label="jpigp_cor_BuildingsAndAccompanyingFacilitiesAccumulatedDepreciationAndImpairmentLossesIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_BuildingsAndAccompanyingFacilitiesAcquisitionCostIFRS" xlink:label="jpigp_cor_BuildingsAndAccompanyingFacilitiesAcquisitionCostIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_BuildingsAndAccompanyingFacilitiesIFRS" xlink:label="jpigp_cor_BuildingsAndAccompanyingFacilitiesIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_ComprehensiveIncomeAttributableToIFRSAbstract" xlink:label="jpigp_cor_ComprehensiveIncomeAttributableToIFRSAbstract" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_ComprehensiveIncomeIFRS" xlink:label="jpigp_cor_ComprehensiveIncomeIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_EmployeeBenefitExpensesOperatingExpensesIFRS" xlink:label="jpigp_cor_EmployeeBenefitExpensesOperatingExpensesIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_InterestExpensesIFRS" xlink:label="jpigp_cor_InterestExpensesIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_InterestIncomeIFRS" xlink:label="jpigp_cor_InterestIncomeIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_PackingAndTransportationExpensesIFRS" xlink:label="jpigp_cor_PackingAndTransportationExpensesIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_RevenueIFRS" xlink:label="jpigp_cor_RevenueIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_SegmentProfitLossIFRS" xlink:label="jpigp_cor_SegmentProfitLossIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_ShareBasedPaymentTransactionsSSIFRS" xlink:label="jpigp_cor_ShareBasedPaymentTransactionsSSIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_SoftwareAccumulatedAmortizationAndImpairmentLossesIFRS" xlink:label="jpigp_cor_SoftwareAccumulatedAmortizationAndImpairmentLossesIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_SoftwareAcquisitionCostIFRS" xlink:label="jpigp_cor_SoftwareAcquisitionCostIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_SoftwareIFRS" xlink:label="jpigp_cor_SoftwareIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_SoftwareInProgressAccumulatedImpairmentLossesIFRS" xlink:label="jpigp_cor_SoftwareInProgressAccumulatedImpairmentLossesIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_SoftwareInProgressAcquisitionCostIFRS" xlink:label="jpigp_cor_SoftwareInProgressAcquisitionCostIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_SoftwareInProgressIFRS" xlink:label="jpigp_cor_SoftwareInProgressIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_TotalTransactionsWithOwnersIFRS" xlink:label="jpigp_cor_TotalTransactionsWithOwnersIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_TransactionsWithOwnersIFRSAbstract" xlink:label="jpigp_cor_TransactionsWithOwnersIFRSAbstract" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E38427-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E38427-000_AonoMasaakiMember" xlink:label="jpcrp030000-asr_E38427-000_AonoMasaakiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E38427-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E38427-000_CommissionsAndOutsourcingExpensesOperatingExpensesIFRS" xlink:label="jpcrp030000-asr_E38427-000_CommissionsAndOutsourcingExpensesOperatingExpensesIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E38427-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E38427-000_CostOfManufacturingCostOfSalesToPrivateCustomersCOSIFRS" xlink:label="jpcrp030000-asr_E38427-000_CostOfManufacturingCostOfSalesToPrivateCustomersCOSIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E38427-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E38427-000_CostOfProductsCostOfSalesToPrivateCustomersCOSIFRS" xlink:label="jpcrp030000-asr_E38427-000_CostOfProductsCostOfSalesToPrivateCustomersCOSIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E38427-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E38427-000_CostOfSalesToPrivateCustomersIFRSAbstract" xlink:label="jpcrp030000-asr_E38427-000_CostOfSalesToPrivateCustomersIFRSAbstract" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E38427-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E38427-000_CotoseBusinessReportableSegmentMember" xlink:label="jpcrp030000-asr_E38427-000_CotoseBusinessReportableSegmentMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E38427-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E38427-000_HalmekBusinessReportableSegmentMember" xlink:label="jpcrp030000-asr_E38427-000_HalmekBusinessReportableSegmentMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E38427-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E38427-000_HayashiNampeiMember" xlink:label="jpcrp030000-asr_E38427-000_HayashiNampeiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E38427-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E38427-000_IncreaseDecreaseInAccountsPayableBonusesOpeCFIFRS" xlink:label="jpcrp030000-asr_E38427-000_IncreaseDecreaseInAccountsPayableBonusesOpeCFIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E38427-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E38427-000_IshiiFuminoriMember" xlink:label="jpcrp030000-asr_E38427-000_IshiiFuminoriMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E38427-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E38427-000_LossOnDisposalOfPropertyPlantAndEquipmentAndIntangibleAssetsOpeCFIFRS" xlink:label="jpcrp030000-asr_E38427-000_LossOnDisposalOfPropertyPlantAndEquipmentAndIntangibleAssetsOpeCFIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E38427-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E38427-000_MiyazawaTakaoMember" xlink:label="jpcrp030000-asr_E38427-000_MiyazawaTakaoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E38427-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E38427-000_NakamuraDaiMember" xlink:label="jpcrp030000-asr_E38427-000_NakamuraDaiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E38427-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E38427-000_NotesAdditionalInformationConsolidatedFinancialStatementsIFRSHeading" xlink:label="jpcrp030000-asr_E38427-000_NotesAdditionalInformationConsolidatedFinancialStatementsIFRSHeading" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E38427-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E38427-000_NotesAdditionalInformationConsolidatedFinancialStatementsIFRSTextBlock" xlink:label="jpcrp030000-asr_E38427-000_NotesAdditionalInformationConsolidatedFinancialStatementsIFRSTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E38427-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E38427-000_NotesChangesInAccountingPoliciesTextBlock" xlink:label="jpcrp030000-asr_E38427-000_NotesChangesInAccountingPoliciesTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E38427-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E38427-000_NotesRegardingOperatingExpensesTextBlock" xlink:label="jpcrp030000-asr_E38427-000_NotesRegardingOperatingExpensesTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E38427-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E38427-000_OmuraYukikoMember" xlink:label="jpcrp030000-asr_E38427-000_OmuraYukikoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E38427-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E38427-000_OverviewOfCompanyTextBlock" xlink:label="jpcrp030000-asr_E38427-000_OverviewOfCompanyTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E38427-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E38427-000_ShareBasedPaymentTransactionsSS" xlink:label="jpcrp030000-asr_E38427-000_ShareBasedPaymentTransactionsSS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E38427-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E38427-000_TakahashiShinjiMember" xlink:label="jpcrp030000-asr_E38427-000_TakahashiShinjiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E38427-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E38427-000_TotalCostOfSalesToBusinessCustomersCOSIFRS" xlink:label="jpcrp030000-asr_E38427-000_TotalCostOfSalesToBusinessCustomersCOSIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E38427-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E38427-000_TotalCostOfSalesToPrivateCustomersCOSIFRS" xlink:label="jpcrp030000-asr_E38427-000_TotalCostOfSalesToPrivateCustomersCOSIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E38427-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E38427-000_TotalNumberOfIssuedSharesClassAPreferredSharesKeyFinancialData" xlink:label="jpcrp030000-asr_E38427-000_TotalNumberOfIssuedSharesClassAPreferredSharesKeyFinancialData" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E38427-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E38427-000_TsuchiyaJunichiMember" xlink:label="jpcrp030000-asr_E38427-000_TsuchiyaJunichiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E38427-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E38427-000_YamaokaAsakoMember" xlink:label="jpcrp030000-asr_E38427-000_YamaokaAsakoMember" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38427-000_AonoMasaakiMember" xlink:to="jpcrp030000-asr_E38427-000_AonoMasaakiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38427-000_AonoMasaakiMember" xlink:to="jpcrp030000-asr_E38427-000_AonoMasaakiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38427-000_CommissionsAndOutsourcingExpensesOperatingExpensesIFRS" xlink:to="jpcrp030000-asr_E38427-000_CommissionsAndOutsourcingExpensesOperatingExpensesIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38427-000_CommissionsAndOutsourcingExpensesOperatingExpensesIFRS" xlink:to="jpcrp030000-asr_E38427-000_CommissionsAndOutsourcingExpensesOperatingExpensesIFRS_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38427-000_CostOfManufacturingCostOfSalesToPrivateCustomersCOSIFRS" xlink:to="jpcrp030000-asr_E38427-000_CostOfManufacturingCostOfSalesToPrivateCustomersCOSIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38427-000_CostOfManufacturingCostOfSalesToPrivateCustomersCOSIFRS" xlink:to="jpcrp030000-asr_E38427-000_CostOfManufacturingCostOfSalesToPrivateCustomersCOSIFRS_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38427-000_CostOfProductsCostOfSalesToPrivateCustomersCOSIFRS" xlink:to="jpcrp030000-asr_E38427-000_CostOfProductsCostOfSalesToPrivateCustomersCOSIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38427-000_CostOfProductsCostOfSalesToPrivateCustomersCOSIFRS" xlink:to="jpcrp030000-asr_E38427-000_CostOfProductsCostOfSalesToPrivateCustomersCOSIFRS_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38427-000_CostOfSalesToPrivateCustomersIFRSAbstract" xlink:to="jpcrp030000-asr_E38427-000_CostOfSalesToPrivateCustomersIFRSAbstract_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38427-000_CostOfSalesToPrivateCustomersIFRSAbstract" xlink:to="jpcrp030000-asr_E38427-000_CostOfSalesToPrivateCustomersIFRSAbstract_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38427-000_CotoseBusinessReportableSegmentMember" xlink:to="jpcrp030000-asr_E38427-000_CotoseBusinessReportableSegmentMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38427-000_CotoseBusinessReportableSegmentMember" xlink:to="jpcrp030000-asr_E38427-000_CotoseBusinessReportableSegmentMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38427-000_HalmekBusinessReportableSegmentMember" xlink:to="jpcrp030000-asr_E38427-000_HalmekBusinessReportableSegmentMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38427-000_HalmekBusinessReportableSegmentMember" xlink:to="jpcrp030000-asr_E38427-000_HalmekBusinessReportableSegmentMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38427-000_HayashiNampeiMember" xlink:to="jpcrp030000-asr_E38427-000_HayashiNampeiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38427-000_HayashiNampeiMember" xlink:to="jpcrp030000-asr_E38427-000_HayashiNampeiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38427-000_IncreaseDecreaseInAccountsPayableBonusesOpeCFIFRS" xlink:to="jpcrp030000-asr_E38427-000_IncreaseDecreaseInAccountsPayableBonusesOpeCFIFRS_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38427-000_IncreaseDecreaseInAccountsPayableBonusesOpeCFIFRS" xlink:to="jpcrp030000-asr_E38427-000_IncreaseDecreaseInAccountsPayableBonusesOpeCFIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38427-000_IshiiFuminoriMember" xlink:to="jpcrp030000-asr_E38427-000_IshiiFuminoriMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38427-000_IshiiFuminoriMember" xlink:to="jpcrp030000-asr_E38427-000_IshiiFuminoriMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38427-000_LossOnDisposalOfPropertyPlantAndEquipmentAndIntangibleAssetsOpeCFIFRS" xlink:to="jpcrp030000-asr_E38427-000_LossOnDisposalOfPropertyPlantAndEquipmentAndIntangibleAssetsOpeCFIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38427-000_LossOnDisposalOfPropertyPlantAndEquipmentAndIntangibleAssetsOpeCFIFRS" xlink:to="jpcrp030000-asr_E38427-000_LossOnDisposalOfPropertyPlantAndEquipmentAndIntangibleAssetsOpeCFIFRS_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38427-000_MiyazawaTakaoMember" xlink:to="jpcrp030000-asr_E38427-000_MiyazawaTakaoMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38427-000_MiyazawaTakaoMember" xlink:to="jpcrp030000-asr_E38427-000_MiyazawaTakaoMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38427-000_NakamuraDaiMember" xlink:to="jpcrp030000-asr_E38427-000_NakamuraDaiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38427-000_NakamuraDaiMember" xlink:to="jpcrp030000-asr_E38427-000_NakamuraDaiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38427-000_NotesAdditionalInformationConsolidatedFinancialStatementsIFRSHeading" xlink:to="jpcrp030000-asr_E38427-000_NotesAdditionalInformationConsolidatedFinancialStatementsIFRSHeading_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38427-000_NotesAdditionalInformationConsolidatedFinancialStatementsIFRSHeading" xlink:to="jpcrp030000-asr_E38427-000_NotesAdditionalInformationConsolidatedFinancialStatementsIFRSHeading_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38427-000_NotesAdditionalInformationConsolidatedFinancialStatementsIFRSTextBlock" xlink:to="jpcrp030000-asr_E38427-000_NotesAdditionalInformationConsolidatedFinancialStatementsIFRSTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38427-000_NotesAdditionalInformationConsolidatedFinancialStatementsIFRSTextBlock" xlink:to="jpcrp030000-asr_E38427-000_NotesAdditionalInformationConsolidatedFinancialStatementsIFRSTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38427-000_NotesChangesInAccountingPoliciesTextBlock" xlink:to="jpcrp030000-asr_E38427-000_NotesChangesInAccountingPoliciesTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38427-000_NotesChangesInAccountingPoliciesTextBlock" xlink:to="jpcrp030000-asr_E38427-000_NotesChangesInAccountingPoliciesTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38427-000_NotesRegardingOperatingExpensesTextBlock" xlink:to="jpcrp030000-asr_E38427-000_NotesRegardingOperatingExpensesTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38427-000_NotesRegardingOperatingExpensesTextBlock" xlink:to="jpcrp030000-asr_E38427-000_NotesRegardingOperatingExpensesTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38427-000_OmuraYukikoMember" xlink:to="jpcrp030000-asr_E38427-000_OmuraYukikoMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38427-000_OmuraYukikoMember" xlink:to="jpcrp030000-asr_E38427-000_OmuraYukikoMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38427-000_OverviewOfCompanyTextBlock" xlink:to="jpcrp030000-asr_E38427-000_OverviewOfCompanyTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38427-000_OverviewOfCompanyTextBlock" xlink:to="jpcrp030000-asr_E38427-000_OverviewOfCompanyTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38427-000_ShareBasedPaymentTransactionsSS" xlink:to="jpcrp030000-asr_E38427-000_ShareBasedPaymentTransactionsSS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38427-000_ShareBasedPaymentTransactionsSS" xlink:to="jpcrp030000-asr_E38427-000_ShareBasedPaymentTransactionsSS_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38427-000_TakahashiShinjiMember" xlink:to="jpcrp030000-asr_E38427-000_TakahashiShinjiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38427-000_TakahashiShinjiMember" xlink:to="jpcrp030000-asr_E38427-000_TakahashiShinjiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38427-000_TotalCostOfSalesToBusinessCustomersCOSIFRS" xlink:to="jpcrp030000-asr_E38427-000_TotalCostOfSalesToBusinessCustomersCOSIFRS_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38427-000_TotalCostOfSalesToBusinessCustomersCOSIFRS" xlink:to="jpcrp030000-asr_E38427-000_TotalCostOfSalesToBusinessCustomersCOSIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38427-000_TotalCostOfSalesToPrivateCustomersCOSIFRS" xlink:to="jpcrp030000-asr_E38427-000_TotalCostOfSalesToPrivateCustomersCOSIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38427-000_TotalCostOfSalesToPrivateCustomersCOSIFRS" xlink:to="jpcrp030000-asr_E38427-000_TotalCostOfSalesToPrivateCustomersCOSIFRS_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38427-000_TotalNumberOfIssuedSharesClassAPreferredSharesKeyFinancialData" xlink:to="jpcrp030000-asr_E38427-000_TotalNumberOfIssuedSharesClassAPreferredSharesKeyFinancialData_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38427-000_TotalNumberOfIssuedSharesClassAPreferredSharesKeyFinancialData" xlink:to="jpcrp030000-asr_E38427-000_TotalNumberOfIssuedSharesClassAPreferredSharesKeyFinancialData_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38427-000_TsuchiyaJunichiMember" xlink:to="jpcrp030000-asr_E38427-000_TsuchiyaJunichiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38427-000_TsuchiyaJunichiMember" xlink:to="jpcrp030000-asr_E38427-000_TsuchiyaJunichiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38427-000_YamaokaAsakoMember" xlink:to="jpcrp030000-asr_E38427-000_YamaokaAsakoMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38427-000_YamaokaAsakoMember" xlink:to="jpcrp030000-asr_E38427-000_YamaokaAsakoMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpigp_cor_BuildingsAndAccompanyingFacilitiesAccumulatedDepreciationAndImpairmentLossesIFRS" xlink:to="jpigp_cor_BuildingsAndAccompanyingFacilitiesAccumulatedDepreciationAndImpairmentLossesIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpigp_cor_BuildingsAndAccompanyingFacilitiesAcquisitionCostIFRS" xlink:to="jpigp_cor_BuildingsAndAccompanyingFacilitiesAcquisitionCostIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpigp_cor_BuildingsAndAccompanyingFacilitiesIFRS" xlink:to="jpigp_cor_BuildingsAndAccompanyingFacilitiesIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpigp_cor_ComprehensiveIncomeAttributableToIFRSAbstract" xlink:to="jpigp_cor_ComprehensiveIncomeAttributableToIFRSAbstract_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpigp_cor_ComprehensiveIncomeIFRS" xlink:to="jpigp_cor_ComprehensiveIncomeIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpigp_cor_EmployeeBenefitExpensesOperatingExpensesIFRS" xlink:to="jpigp_cor_EmployeeBenefitExpensesOperatingExpensesIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpigp_cor_InterestExpensesIFRS" xlink:to="jpigp_cor_InterestExpensesIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpigp_cor_InterestIncomeIFRS" xlink:to="jpigp_cor_InterestIncomeIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpigp_cor_PackingAndTransportationExpensesIFRS" xlink:to="jpigp_cor_PackingAndTransportationExpensesIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpigp_cor_RevenueIFRS" xlink:to="jpigp_cor_RevenueIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpigp_cor_SegmentProfitLossIFRS" xlink:to="jpigp_cor_SegmentProfitLossIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpigp_cor_ShareBasedPaymentTransactionsSSIFRS" xlink:to="jpigp_cor_ShareBasedPaymentTransactionsSSIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpigp_cor_SoftwareAccumulatedAmortizationAndImpairmentLossesIFRS" xlink:to="jpigp_cor_SoftwareAccumulatedAmortizationAndImpairmentLossesIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpigp_cor_SoftwareAcquisitionCostIFRS" xlink:to="jpigp_cor_SoftwareAcquisitionCostIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpigp_cor_SoftwareIFRS" xlink:to="jpigp_cor_SoftwareIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpigp_cor_SoftwareInProgressAccumulatedImpairmentLossesIFRS" xlink:to="jpigp_cor_SoftwareInProgressAccumulatedImpairmentLossesIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpigp_cor_SoftwareInProgressAcquisitionCostIFRS" xlink:to="jpigp_cor_SoftwareInProgressAcquisitionCostIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpigp_cor_SoftwareInProgressIFRS" xlink:to="jpigp_cor_SoftwareInProgressIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpigp_cor_TotalTransactionsWithOwnersIFRS" xlink:to="jpigp_cor_TotalTransactionsWithOwnersIFRS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpigp_cor_TransactionsWithOwnersIFRSAbstract" xlink:to="jpigp_cor_TransactionsWithOwnersIFRSAbstract_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
  </link:labelLink>
</link:linkbase>